Subject: struct flock, off_t, and __CYGWIN_USE_BIG_TYPES__
From: "Matt Seitz" <[email-masked]>
To: [email-masked]
Date: Thu, 14 Mar 2002 17:29:52 -0800
Newsgroups: gmane.os.cygwin

I am porting a program that assumes 32-bit gid/uid, so I defined
__CYGWIN_USE_BIG_TYPES__.  Unfortunately, that is causing my compiler to
compain when I try to assign an off_t value to the l_start or l_len fields
of struct flock.  It appears this is because l_start and l_len are hard
coded as 32-bit longs, while off_t can be 32-bit or 64-bit depending on
whether __CYGWIN_USE_BIG_TYPES__ is defined.  I assume I can't simple
redefine struct flock without having to rebuild cygwin.dll.  What is the
best solution to this problem?

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/